<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.dahe.pass">

    <uses-permission android:name="android.permission.CAMERA" /> <!-- //地图包、搜索包需要的基础权限 -->
    <!-- 允许程序打开网络套接字 -->
    <uses-permission android:name="android.permission.INTERNET" /> <!-- 允许程序设置内置sd卡的写权限 -->
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- 允许程序获取网络状态 -->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> <!-- 允许程序访问WiFi网络信息 -->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> <!-- 允许程序读写手机状态和身份 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 允许程序访问CellID或WiFi热点来获取粗略的位置 -->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_CALL_LOG" />
    <uses-permission android:name="android.permission.WRITE_CALL_LOG" />
    <uses-permission android:name="android.permission.ADD_VOICEMAIL" />
    <uses-permission android:name="com.android.voicemail.permission.ADD_VOICEMAIL" />
    <uses-permission android:name="android.permission.USE_SIP" />
    <uses-permission android:name="android.permission.PROCESS_OUTGOING_CALLS" /> <!-- 用于访问GPS定位 -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" /> <!-- 用于获取运营商信息，用于支持提供运营商信息相关的接口 -->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" /> <!-- 用于读取手机当前的状态 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" /> <!-- 用于写入缓存数据到扩展存储卡 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /> <!-- 用于申请调用A-GPS模块 -->
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /> <!-- 用于申请获取蓝牙信息进行室内定位 -->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" /> <!-- 这个权限用于允许程序在手机屏幕关闭后后台进程仍然运行 -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <!-- 用于ugc事件上报录音 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <uses-permission android:name="android.permission.VIBRATE" />

    <!-- 以下为需要的基本权限，需要自行添加至您的AndroidManifest文件中 start-->
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_ADDED" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_CHANGED" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_INSTALL" />
    <uses-permission android:name="android.permission.BROADCAST_PACKAGE_REPLACED" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <!-- 以下为需要的基本权限，需要自行添加至您的AndroidManifest文件中 end-->

    <application
        android:name=".base.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Theme.Pass"
        tools:replace="android:label,android:allowBackup">

        <meta-data
            android:name="CHANNEL"
            android:value="${CHANNEL_VALUE}" />
        <!-- 适配全面屏 Android O vivo&oppo -->
        <meta-data
            android:name="android.max_aspect"
            android:value="2.2" /> <!-- 适配刘海屏、水滴屏 Android O 小米 -->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" /> <!-- 适配刘海屏、水滴屏 Android O 华为 -->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />

        <activity android:name=".MainActivity">
            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.MAIN" />-->

            <!--                <category android:name="android.intent.category.LAUNCHER" />-->
            <!--            </intent-filter>-->
        </activity>


        <activity
            android:name=".ui.account.LoginActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden">
            <!--            <intent-filter>-->
            <!--                <action android:name="android.intent.action.MAIN" />-->

            <!--                <category android:name="android.intent.category.LAUNCHER" />-->
            <!--            </intent-filter>-->
        </activity>
        <activity
            android:name=".ui.HomeActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.home.activity.ApplyActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.mine.activity.ChangePwdActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>
        <activity
            android:name=".ui.mine.activity.ChangePhoneActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.account.activity.RegisterActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.gone.activity.AddGoActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.gone.activity.EditGoActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.account.activity.BusinessInfoActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".web.WebActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.home.activity.ApplyDetailActivity"
            android:configChanges="keyboardHidden|orientation|locale"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden"></activity>

        <activity
            android:name=".ui.LauncherActivity"
            android:theme="@style/Theme.Splash">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
    </application>

</manifest>